phpstorm-Configuration remote Php Interpreter - No install distribution installed

Hello,

 

I have a problem with my WSL phpstorm config.
When I'm in the configure remote Php Interpreter pop-up I can't put my ubuntu in the linux distribution. It say me "no installed distribution". I'm a begginer with VM and WSL, but my ubuntu is running and upgraded.
What's wrong ? What can I do to resolve that ?
Thx for help

3 comments
Comment actions Permalink

Are you using a custom WSL distribution by any chance (the one not installed from MS Store)? If that's the case, please follow the instructions at https://www.jetbrains.com/help/ruby/2021.1/configuring-remote-interpreters-using-wsl.html#custom_wsl

0
Comment actions Permalink

Yes thx it works !

0
Comment actions Permalink

You're welcome!

0

Please sign in to leave a comment.